My Oracle Support Banner

ORDS V22.2 To V23.1 Upgrade Failing With Insufficient Privileges (Doc ID 2971426.1)

Last updated on AUGUST 30, 2023

Applies to:

Oracle REST Data Services - Version 23.1.2 and later
Information in this document applies to any platform.

Symptoms

On : 23.2.2 version

Attempting to upgrade a AWS RDS 19c database from APEX v22.2 to v23.1 and ORDS v22.2 to v23.1.
The APEX upgrade was simple since it's an RDS instance (just modified options group in RDS),
However after downloading the latest version of ORDS (23.1) and running the following command to upgrade ORDS, the
upgrade is failing with the following errors:


ERROR
-----------------------

2023-08-24T13:34:25.602Z INFO Upgrading Oracle REST Data Services schema 23.1.4.r1501808 to version 23.2.2.r2081534 in NON_CDB
2023-08-24T13:34:27.482Z SEVERE Error executing script: add_grant_privs.sql Error: ORA-01031: insufficient privileges
ORA-06512: at line 68

Refer to log file /ords_upgrade_2023-08-24_xxxxx_xxxxx.log for details

Error executing script: add_grant_privs.sql Error: ORA-01031: insufficient privileges
ORA-06512: at line 68




Error occurred during run of ords install -i --log-folder <path to log folder>

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.